import 'package:flutter/material.dart';
import 'package:hub/features/storage/index.dart';
import 'package:hub/flutter_flow/internationalization.dart';
import 'package:share_plus/share_plus.dart';

class ReceptionPageModel with ChangeNotifier {
  Future<void> getIdenfifier(BuildContext context) async {
    final String userDevUUID =
        (await StorageHelper().get(ProfileStorageKey.userDevUUID.key)) ?? '';

    notifyListeners();
    Share.share(
      FFLocalizations.of(context).getVariableText(
        ptText: 'Este é o meu identificador de acesso: $userDevUUID',
        enText: 'This is my access identifier: $userDevUUID',
      ),
    );
  }
}
